package io.gmss.fiscad.interfaces.infocad.parametre;

import io.gmss.fiscad.entities.infocad.parametre.TypeContestation;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface TypeContestationService {

    TypeContestation createTypeContestation(TypeContestation typeContestation) throws BadRequestException;

    TypeContestation updateTypeContestation(Long id, TypeContestation typeContestation) throws NotFoundException;

    void deleteTypeContestation(Long id) throws NotFoundException;

    Page<TypeContestation> getTypeContestationList(Pageable pageable);

    List<TypeContestation> getTypeContestationList();

    Optional<TypeContestation> getTypeContestationById(Long id);
}
